Page MenuHomePhabricator

VisualEditor/NWE should show larger dialogs for edit notices and AbuseFilter messages
Closed, ResolvedPublic1 Story Points

Description

This is a dedicated ticket for the UI issues brought up at T179315#3720373 and T176070.

The VisualEditor interface is very pretty but the OOjs UI dialogs do not play well with custom-built messages. Some messages may include imagery and other content that are only suitable for full-width screens (or at least something wider than a few hundred pixels).

A prime example is MediaWiki:Abusefilter-unexplained-removal. It is shown when a user removes a large amount of content but does not explain why. The filter warns them to use an edit summary (because if they don't bitey patrollers will procedurally revert). We use a large font because for some reason a lot of people don't notice these messages. This is nearly illegible in the tiny OOjs UI dialog:

Here's one AbuseFilter notice that takes up just enough space to fit within the dialog, whereby the user may be unaware there is a "try again" button below it (this is I guess partially a Mac issue because it does not show the scrollbar, but point still stands):

Here's the (admittedly wordy) edit notice for the administrator's noticeboard on English Wikipedia. Without scrolling, we can't see the critical part that says "When you start a discussion about an editor, you must notify them on their user talk page":

Or how about this mainspace edit notice about an Arbitration decision:

I believe that while in most cases the dialogs are (sincerely) very pretty, they are in other cases hurting the user experience, obscuring important information, and possibly even leading some users to abandon their good-faith edits. Please consider some sort of UI compromise.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2018, 6:20 PM

Maybe there could be a specific CSS class (or a parser tag) for a short summary for edit notices, and if that’s present, VE would show only that, and a “see more” link, which would open an OOUI window with the verbose content. In the verbose version, or in the old editor, the summary wouldn’t appear.

Elitre added a subscriber: Elitre.Feb 22 2018, 1:55 PM

Change 415364 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Make edit notices popup wider (320 -> 450)

https://gerrit.wikimedia.org/r/415364

WP:AN with 450 width:

Better, but still not great. I think a full-page popup with a short summary would still be better.

I like the short summary idea, though I doubt it would get used that often. 450px certainly looks better. Does that also apply to the AbuseFilter notice?

Using the short summary is up to the wikis (default messages should not be that long), maybe stewards can help on WMF wikis. If I understand the code correctly, it fixes all edit notices. However, @Jdforrester-WMF downvoted it, maybe the summary version would be acceptable for him?

Deskana added a subscriber: Deskana.Mar 2 2018, 1:09 PM

I'm willing to increase the size slightly to help alleviate the problem. I'm not saying that that'll be the end of the changes made, nor the end of the discussion; iterative work is done here, and if there's something quick that can help somewhat, then it can be done.

I do think @Jdforrester-WMF has a point though. These edit filter notices have been absolutely ridiculous for years, with no significant improvements made to them. I'd like it if we could meet in the middle, making a software change to make the box a little wider, but also making a community change to trim cruft from the notices and make them more sane. I suspect what will actually happen is that we'll make the software change, and no changes to the edit notices will be made. C'est la vie.

That said, I think that 450px, a ~40% increase, is way too much for a small, iterative change.

Gryllida added a subscriber: Gryllida.
MusikAnimal added a comment.EditedMar 8 2018, 7:36 AM

I do think Jdforrester-WMF has a point though. These edit filter notices have been absolutely ridiculous for years, with no significant improvements made to them. I'd like it if we could meet in the middle, making a software change to make the box a little wider, but also making a community change to trim cruft from the notices and make them more sane. I suspect what will actually happen is that we'll make the software change, and no changes to the edit notices will be made. C'est la vie.

You are right about that. From my experience the issue has been that users, for some reason, don't see the edit/AbuseFilter notices at all, which is why they're sometimes designed to be super large and in-your-face. I will say VE/NWE does a much better job at this because the notice is in the middle of the screen, with everything else behind it grayed out. So long-term I think we're looking at less of an issue. The WP:AN notice is certainly an extreme example -- too wordy even for the veteran users.

I for one can try to help trim the enwiki edit notices and filter warnings. My examples above, believe it or not, are not nearly as drastic as they come!

Izno added a subscriber: Izno.Mar 20 2018, 2:49 AM

Change 415364 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make edit notices popup wider (320 -> 450)

https://gerrit.wikimedia.org/r/415364

Change 422111 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Revert "Make edit notices popup wider (320 -> 450)"

https://gerrit.wikimedia.org/r/422111

Change 422111 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Revert "Make edit notices popup wider (320 -> 450)"

https://gerrit.wikimedia.org/r/422111

Change 422127 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Make edit notices popup wider (320 -> 450)

https://gerrit.wikimedia.org/r/422127

The slight increase in font size in the visual and 2017 wikitext editors recently has increased the urgency of this somewhat.

By what factor was the font size increased? We could increase the size of the box by that factor. Or, we could go for a smaller change, like taking it to 380, which is just under a 20% increase in size, rather than the increase to 450 which was around a 40% increase in size.

Have gone to 380 in the above patch. The font size change was 9.4% (14/12.8).

Change 422127 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make edit notices popup wider (320 -> 380)

https://gerrit.wikimedia.org/r/422127

Deskana closed this task as Resolved.Apr 16 2018, 10:05 AM
Deskana triaged this task as Normal priority.
Deskana set the point value for this task to 1.

Well, it does show larger dialogues now, and that's the scope of this task, so it's resolved now.

There are bigger questions left, but those are in other tasks.

238482n375 lowered the priority of this task from Normal to Lowest.Jun 15 2018, 8:01 AM
238482n375 removed Esanders as the assignee of this task.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:05 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper raised the priority of this task from Lowest to Normal.Jun 15 2018, 11:27 AM
Aklapper assigned this task to Esanders.
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".
Aklapper edited subscribers, added: Aklapper; removed: 238482n375.
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 11:27 AM